Subject: Re: [Patch net-next v7 4/6] vxlan: add ipv6 support

From: Cong Wang <[email-masked]>
Date: Thu, 02 May 2013 16:05:53 +0800

On Tue, 2013-04-30 at 12:33 +0200, Bjørn Mork wrote:
> 
> Well, you have been told that your proposed new feature breaks IPv4
> support with specific settings.  I do not think that you are speeding
> up
> anything here by ignoring that fact.  On the contrary. 

It is obviously a corner case which is not deserved such a high priority
(as high as a kernel panic or a compile error). bindv6only is default to
be 0, I even wasn't aware of such sysctl until David pointed it out.

So, please give me a reason why we should let such a corner case block
the inclusion? I think there are still other such corner cases too (and
maybe many), which neither you nor me are aware of.